ItemAdapter Class Reference

Adapter to adapt framework storage item to SyncML stack sync item. More...

`#include <ItemAdapter.h>`

Inheritance diagram for ItemAdapter:

## Public Member Functions

| ItemAdapter (Buteo::StorageItem *aItem)
| Constructor.
virtual | ~ItemAdapter ()
| Destructor.
bool | isValid ()
| Returns if this adapter instance is valid.
Buteo::StorageItem & | getItem () const
| Return the FW item instance.
virtual qint64 | getSize () const
virtual bool | read (qint64 aOffset, qint64 aLength, QByteArray &aData) const
virtual bool | write (qint64 aOffset, const QByteArray &aData)
virtual bool | resize (qint64 aLen)
| ItemAdapter (Buteo::StorageItem *aItem)
| Constructor.
virtual | ~ItemAdapter ()
| Destructor.
bool | isValid ()
| Returns if this adapter instance is valid.
Buteo::StorageItem & | getItem () const
| Return the FW item instance.
virtual qint64 | getSize () const
virtual bool | read (qint64 aOffset, qint64 aLength, QByteArray &aData) const
virtual bool | write (qint64 aOffset, const QByteArray &aData)
virtual bool | resize (qint64 aLen)

## Detailed Description

Adapter to adapt framework storage item to SyncML stack sync item.

## Constructor & Destructor Documentation

## ItemAdapter() [1/2]

ItemAdapter::ItemAdapter | ( | Buteo::StorageItem * | aItem | ) |

Constructor.

Parameters

  aItem | Item that this instance should adapt. Ownership transferred

## ItemAdapter() [2/2]

ItemAdapter::ItemAdapter | ( | Buteo::StorageItem * | aItem | ) |

Constructor.

Parameters

  aItem | Item that this instance should adapt. Ownership transferred

## Member Function Documentation

## getItem() [1/2]

Buteo::StorageItem & ItemAdapter::getItem | ( |  | ) | const

Return the FW item instance.

Returns
  Item

## getItem() [2/2]

Buteo::StorageItem & ItemAdapter::getItem | ( |  | ) | const

Return the FW item instance.

Returns
  Item

## getSize() [1/2]

virtual qint64 ItemAdapter::getSize | ( |  | ) | const

virtual

See also
  DataSync::SyncItem::getSize()

## getSize() [2/2]

virtual qint64 ItemAdapter::getSize | ( |  | ) | const

virtual

See also
  DataSync::SyncItem::getSize()

## isValid() [1/2]

bool ItemAdapter::isValid | ( |  | ) |

Returns if this adapter instance is valid.

Returns
  True if this adapter instance is valid, otherwise false

## isValid() [2/2]

bool ItemAdapter::isValid | ( |  | ) |

Returns if this adapter instance is valid.

Returns
  True if this adapter instance is valid, otherwise false

## read() [1/2]

virtual bool ItemAdapter::read | ( | qint64 | aOffset,
|  | qint64 | aLength,
|  | QByteArray & | aData ) const

virtual

See also
  DataSync::SyncItem::read()

## read() [2/2]

virtual bool ItemAdapter::read | ( | qint64 | aOffset,
|  | qint64 | aLength,
|  | QByteArray & | aData ) const

virtual

See also
  DataSync::SyncItem::read()

## resize() [1/2]

virtual bool ItemAdapter::resize | ( | qint64 | aLen | ) |

virtual

See also
  DataSync::SyncItem::resize()

## resize() [2/2]

virtual bool ItemAdapter::resize | ( | qint64 | aLen | ) |

virtual

See also
  DataSync::SyncItem::resize()

## write() [1/2]

virtual bool ItemAdapter::write | ( | qint64 | aOffset,
|  | const QByteArray & | aData )

virtual

See also
  DataSync::SyncItem::write()

## write() [2/2]

virtual bool ItemAdapter::write | ( | qint64 | aOffset,
|  | const QByteArray & | aData )

virtual

See also
  DataSync::SyncItem::write()

The documentation for this class was generated from the following files:

- debian/tmp/usr/include/syncmlcommon/ItemAdapter.h
- syncmlcommon/ItemAdapter.h